cURL
curl --request POST \ --url https://api.veryfront.com/projects/{project_reference}/jobs/{job_id}/cancel \ --header 'Authorization: Bearer <token>'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "cron_job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "status": "submitted", "target": "<string>", "config": {}, "context_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "timeout_seconds": 123, "backoff_limit": 123, "exit_code": 123, "failed_reason": "<string>", "artifacts": [ null ], "logs": "<string>", "started_at": "<string>", "completed_at": "<string>", "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "<string>", "updated_at": "<string>" }
Cancel a running or submitted job
Authentication via JWT token or API key. JWT: Get from Veryfront dashboard. API Key: Format "vf__" - create via /api-keys endpoint.
Project ID or slug
Job UUID
Job canceled
submitted
working
completed
failed
canceled
Show child attributes